fedup FC20 -> FC21 update conflicts

Przemek Klosowski przemek.klosowski at nist.gov
Wed Dec 10 21:36:09 UTC 2014


I have a fairly standard FC20 setup which I started upgrading by

     fedup  --network 21 --product=workstation

There were 109 packages for which there was no upgrade; 62 are 
*-debuginfo, 12 are from various oddball repos (adobe, simulavr, etc), 
but 36 are I believe regular Fedora Core 20 packages, including fairly 
important ones like 8 related to the R language.

Two of those result in packaging conflicts and fedup warns about 
'upgrade at your own risk':

icedtea-web-1.5.2-0.fc20.x86_64 requires 
java-1.7.0-openjdk-1:1.7.0.71-2.5.3.0.fc20.x86_64

R-core-3.1.2-1.fc20.x86_64 requires tk-1:8.5.14-1.fc20.x86_64, 
tcl-1:8.5.14-1.fc20.x86_64, libicu-50.1.2-10.fc20.x86_64

I imagine there will be fc21 packages for those eventually, so should I 
file a bugzilla report on it, or go ahead with the install and wait for 
the new versions?  If reporting, would it be against fedup or specific 
packages?


  yum list icedtea-web R-core java-1.7.0-openjdk tk tcl libicu

returns:

Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
Installed Packages
R-core.x86_64 3.1.2-1.fc20    @updates
icedtea-web.x86_64                                  1.5.2-0.fc20 @updates
java-1.7.0-openjdk.x86_64     1:1.7.0.71-2.5.3.0.fc20    @updates
libicu.i686 50.1.2-10.fc20      installed
libicu.x86_64 50.1.2-10.fc20      installed
tcl.x86_64 1:8.5.14-1.fc20      installed
tk.x86_64 1:8.5.14-1.fc20      installed

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.fedoraproject.org/pipermail/devel/attachments/20141210/6edf617b/attachment.html>


More information about the devel mailing list